package com.artfess.cqlt.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfFinanceCfBudgetM;
import com.artfess.poi.util.HeaderNode;

import java.util.List;

/**
 * 财务--现金流量预算填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-03-02
 */
public interface QfFinanceCfBudgetMManager extends BaseManager<QfFinanceCfBudgetM> {

    boolean importExcel(List<HeaderNode> list, String mainId);

    boolean updateStatus(QfFinanceCfBudgetM t);

    boolean insertInfo(QfFinanceCfBudgetM t);

    boolean updateInfo(QfFinanceCfBudgetM t);

}
